cURL
curl "https://api.haau3.com/v1/fhir/r4/Location/Location-5e79e878-cef0-4a63-a41c-b77cfd3f8062" \
-H "Authorization: Bearer $HAAU3_API_KEY"import { Haau3 } from "@haau3/sdk";
const haau3 = new Haau3(); // reads HAAU3_API_KEY
const location = await haau3.readLocation("Location-5e79e878-cef0-4a63-a41c-b77cfd3f8062");
console.log(location.id);
from haau3 import Haau3
client = Haau3() # reads HAAU3_API_KEY
location = client.read_location("Location-5e79e878-cef0-4a63-a41c-b77cfd3f8062")
print(location.get("id"))
package main
import (
"context"
"fmt"
"log"
"github.com/haau3/haau3-go"
)
func main() {
ctx := context.Background()
client, err := haau3.NewClient() // reads HAAU3_API_KEY
if err != nil {
log.Fatal(err)
}
location, err := client.ReadLocation(ctx, "Location-5e79e878-cef0-4a63-a41c-b77cfd3f8062")
if err != nil {
log.Fatal(err)
}
if location.ID != nil {
fmt.Println(*location.ID)
}
}
{
"resourceType": "Location",
"id": "Location-5e79e878-cef0-4a63-a41c-b77cfd3f8062",
"meta": {
"lastUpdated": "2026-10-28T20:27:12.173893403Z",
"profile": [
"http://hl7.org/fhir/us/ndh/StructureDefinition/ndh-Location"
],
"versionId": "1"
},
"status": "active",
"name": "Sioux Falls, SD-MN",
"description": "Sioux Falls, SD-MN",
"mode": "instance",
"telecom": [
{
"system": "phone",
"value": "6053289000",
"use": "work"
}
],
"address": {
"line": [
"4405 E 26th St"
],
"city": "Sioux Falls",
"state": "SD",
"postalCode": "57103",
"country": "US",
"type": "physical"
},
"position": {
"longitude": -96.67262,
"latitude": 43.52927
},
"managingOrganization": {
"reference": "Organization/Organization-1922030212"
}
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "error",
"code": "forbidden",
"details": {
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/api-error",
"code": "test-key-outside-sandbox",
"display": "Test key outside the Sandbox"
}
],
"text": "This is a test key, which works only in the Sandbox (https://api.haau3.com/v1/sandbox/fhir/r4). Send this request with a live key; create one in the dashboard. See https://docs.haau3.com/authentication#test-and-live-keys"
}
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}Provider directory
Read a Location
Read one location by id, as returned by a search on this service. A pharmacy’s store (Location-pharmacy-{NPI}, from a pharmacy search on HealthcareService) is read back from NPPES.
GET
/
v1
/
fhir
/
r4
/
Location
/
{id}
cURL
curl "https://api.haau3.com/v1/fhir/r4/Location/Location-5e79e878-cef0-4a63-a41c-b77cfd3f8062" \
-H "Authorization: Bearer $HAAU3_API_KEY"import { Haau3 } from "@haau3/sdk";
const haau3 = new Haau3(); // reads HAAU3_API_KEY
const location = await haau3.readLocation("Location-5e79e878-cef0-4a63-a41c-b77cfd3f8062");
console.log(location.id);
from haau3 import Haau3
client = Haau3() # reads HAAU3_API_KEY
location = client.read_location("Location-5e79e878-cef0-4a63-a41c-b77cfd3f8062")
print(location.get("id"))
package main
import (
"context"
"fmt"
"log"
"github.com/haau3/haau3-go"
)
func main() {
ctx := context.Background()
client, err := haau3.NewClient() // reads HAAU3_API_KEY
if err != nil {
log.Fatal(err)
}
location, err := client.ReadLocation(ctx, "Location-5e79e878-cef0-4a63-a41c-b77cfd3f8062")
if err != nil {
log.Fatal(err)
}
if location.ID != nil {
fmt.Println(*location.ID)
}
}
{
"resourceType": "Location",
"id": "Location-5e79e878-cef0-4a63-a41c-b77cfd3f8062",
"meta": {
"lastUpdated": "2026-10-28T20:27:12.173893403Z",
"profile": [
"http://hl7.org/fhir/us/ndh/StructureDefinition/ndh-Location"
],
"versionId": "1"
},
"status": "active",
"name": "Sioux Falls, SD-MN",
"description": "Sioux Falls, SD-MN",
"mode": "instance",
"telecom": [
{
"system": "phone",
"value": "6053289000",
"use": "work"
}
],
"address": {
"line": [
"4405 E 26th St"
],
"city": "Sioux Falls",
"state": "SD",
"postalCode": "57103",
"country": "US",
"type": "physical"
},
"position": {
"longitude": -96.67262,
"latitude": 43.52927
},
"managingOrganization": {
"reference": "Organization/Organization-1922030212"
}
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "error",
"code": "forbidden",
"details": {
"coding": [
{
"system": "https://haau3.com/fhir/CodeSystem/api-error",
"code": "test-key-outside-sandbox",
"display": "Test key outside the Sandbox"
}
],
"text": "This is a test key, which works only in the Sandbox (https://api.haau3.com/v1/sandbox/fhir/r4). Send this request with a live key; create one in the dashboard. See https://docs.haau3.com/authentication#test-and-live-keys"
}
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}Authorizations
A live platform API key (haau3_sk_live_…), sent as Authorization: Bearer <key>. It works for every service outside the Sandbox. Create one on the API keys page at https://platform.haau3.com.
Headers
An id of your own for this request, as a UUID. It comes back in the X-Correlation-Id header and is kept with haau3's record of the request. Any value that is not a UUID is ignored. See https://docs.haau3.com/errors#request-ids.
Path Parameters
The resource id, as returned by a search on this service. Ids are opaque: they are not constructed from an NPI or any other identifier.
Pattern:
^[A-Za-z0-9\-.]{1,64}$